## org.apache.http.impl.cookie
Class BrowserCompatSpecFactory

    java.lang.Object
      org.apache.http.impl.cookie.BrowserCompatSpecFactory

All Implemented Interfaces:
  CookieSpecFactory

    @Immutable
    public class BrowserCompatSpecFactory

extends Object
implements CookieSpecFactory

`CookieSpecFactory` implementation that creates and initializes `BrowserCompatSpec` instances.

The following parameters can be used to customize the behavior of this class:

- `CookieSpecPNames.DATE_PATTERNS`

Since:
  4.0

Constructor Summary
`BrowserCompatSpecFactory()`

Method Summary
`CookieSpec` `newInstance(HttpParams params)` Creates an instance of `CookieSpec` using given HTTP parameters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BrowserCompatSpecFactory

    public BrowserCompatSpecFactory()

Method Detail

### newInstance

    public CookieSpec newInstance(HttpParams params)

  Description copied from interface: `CookieSpecFactory`
  Creates an instance of `CookieSpec` using given HTTP parameters.

  Specified by:
    `newInstance` in interface `CookieSpecFactory`
  Parameters:
    `params` - HTTP parameters.
  Returns:
    cookie spec.

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.